GetTaskReportsResponsePBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetTaskReportsResponsePBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetTaskReportsResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskReportsResponsePBImpl

All Implemented Interfaces:
  `GetTaskReportsResponse`

public class GetTaskReportsResponsePBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto> implements GetTaskReportsResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTaskReportsResponsePBImpl()`
  `GetTaskReportsResponsePBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllTaskReports(List<TaskReport> taskReports)`
  `void`
  `addTaskReport(TaskReport taskReports)`
  `void`
  `clearTaskReports()`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto`
  `getProto()`
  `TaskReport`
  `getTaskReport(int index)`
  `int`
  `getTaskReportCount()`
  `List<TaskReport>`
  `getTaskReportList()`
  `void`
  `removeTaskReport(int index)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTaskReportsResponsePBImpl

    public GetTaskReportsResponsePBImpl()

  - ### GetTaskReportsResponsePBImpl

    public GetTaskReportsResponsePBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto>`

  - ### getTaskReportList

    public List<TaskReport> getTaskReportList()
    Specified by:
      `getTaskReportList` in interface `GetTaskReportsResponse`

  - ### getTaskReport

    public TaskReport getTaskReport(int index)
    Specified by:
      `getTaskReport` in interface `GetTaskReportsResponse`

  - ### getTaskReportCount

    public int getTaskReportCount()
    Specified by:
      `getTaskReportCount` in interface `GetTaskReportsResponse`

  - ### addAllTaskReports

    public void addAllTaskReports(List<TaskReport> taskReports)
    Specified by:
      `addAllTaskReports` in interface `GetTaskReportsResponse`

  - ### addTaskReport

    public void addTaskReport(TaskReport taskReports)
    Specified by:
      `addTaskReport` in interface `GetTaskReportsResponse`

  - ### removeTaskReport

    public void removeTaskReport(int index)
    Specified by:
      `removeTaskReport` in interface `GetTaskReportsResponse`

  - ### clearTaskReports

    public void clearTaskReports()
    Specified by:
      `clearTaskReports` in interface `GetTaskReportsResponse`